Core Services API

Print News Search Direct API

Newspapers, magazines, trade publications, editorial output, press coverage, and print journalism.

API Reference Version: 1.0.0 4 Endpoints Authentication
Print Media

Base URL

https://api.pressmonitor.com/news-print/v1

Authentication

All requests use Bearer token authentication. Add the Authorization header to every call.

Authorization: Bearer YOUR_TOKEN
GET /headlines

News Headlines

News Headlines

Parameters

Name Type Location Required Description
keywords_text string query Yes Keywords text
lang_code string query No Lang code
country_code string query No Country code
count integer query No Count
cursor string query No Cursor

Code Examples

curl --request GET --url 'https://api.pressmonitor.com/news-print/v1/headlines?keywords_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

Responses

200 Success
GET /briefs

News Briefs

News Briefs

Parameters

Name Type Location Required Description
keywords_text string query Yes Keywords text
lang_code string query No Lang code
country_code string query No Country code
count integer query No Count
cursor string query No Cursor

Code Examples

curl --request GET --url 'https://api.pressmonitor.com/news-print/v1/briefs?keywords_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

Responses

200 Success
GET /fulltext

News Fulltext

News Fulltext

Parameters

Name Type Location Required Description
keywords_text string query Yes Keywords text
lang_code string query No Lang code
country_code string query No Country code
count integer query No Count
cursor string query No Cursor

Code Examples

curl --request GET --url 'https://api.pressmonitor.com/news-print/v1/fulltext?keywords_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

Responses

200 Success
GET /clip

Clip

Clip

Parameters

Name Type Location Required Description
id string query Yes Id
ns string query Yes Ns
date string query Yes Date
host string query No Host
ttl integer query No Ttl

Responses

200 Success